package com.bonus.canteen.core.menu.dto;

import cn.hutool.core.text.CharSequenceUtil;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

public class MenuTypeDishesDTO implements Serializable {
   @ApiModelProperty("菜品类型")
   private Long typeId;
   @ApiModelProperty("区域id")
   private List<Long> areaIds;
   @ApiModelProperty("食堂id")
   private List<Long> canteenIds;
   @ApiModelProperty("档口id")
   private List<Long> stallIds;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   private String pinyinInitials;
   private Integer salesMode;

   public String getDishesName() {
      return CharSequenceUtil.isBlank(this.dishesName) ? this.dishesName : "%" + this.dishesName + "%";
   }

   public String getPinyinInitials() {
      return CharSequenceUtil.isBlank(this.dishesName) ? this.dishesName : "%" + this.dishesName.toUpperCase() + "%";
   }


   public Long getTypeId() {
      return this.typeId;
   }

   public List<Long> getAreaIds() {
      return this.areaIds;
   }

   public List<Long> getCanteenIds() {
      return this.canteenIds;
   }

   public List<Long> getStallIds() {
      return this.stallIds;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setAreaIds(final List<Long> areaIds) {
      this.areaIds = areaIds;
   }

   public void setCanteenIds(final List<Long> canteenIds) {
      this.canteenIds = canteenIds;
   }

   public void setStallIds(final List<Long> stallIds) {
      this.stallIds = stallIds;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setPinyinInitials(final String pinyinInitials) {
      this.pinyinInitials = pinyinInitials;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

}
